Update Category Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
payload = {
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Binoculars',
Description: 'Best Binoculars',
SeoPath: 'binoculars',
SeoMetaDescription: 'Best Binoculars',
SeoTitleTag: 'Best Binoculars',
SeoMetaKeywords: 'Best, Binoculars'
})
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'Name' => 'Binoculars',
'Description' => 'Best Binoculars',
'SeoPath' => 'binoculars',
'SeoMetaDescription' => 'Best Binoculars',
'SeoTitleTag' => 'Best Binoculars',
'SeoMetaKeywords' => 'Best, Binoculars'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
payload := strings.NewReader("{\n \"Name\": \"Binoculars\",\n \"Description\": \"Best Binoculars\",\n \"SeoPath\": \"binoculars\",\n \"SeoMetaDescription\": \"Best Binoculars\",\n \"SeoTitleTag\": \"Best Binoculars\",\n \"SeoMetaKeywords\": \"Best, Binoculars\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"Name\": \"Binoculars\",\n \"Description\": \"Best Binoculars\",\n \"SeoPath\": \"binoculars\",\n \"SeoMetaDescription\": \"Best Binoculars\",\n \"SeoTitleTag\": \"Best Binoculars\",\n \"SeoMetaKeywords\": \"Best, Binoculars\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Name\": \"Binoculars\",\n \"Description\": \"Best Binoculars\",\n \"SeoPath\": \"binoculars\",\n \"SeoMetaDescription\": \"Best Binoculars\",\n \"SeoTitleTag\": \"Best Binoculars\",\n \"SeoMetaKeywords\": \"Best, Binoculars\"\n}"
response = http.request(request)
puts response.read_body{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}category
Update Category Description
Update a description for a specific category
PATCH
/
categories
/
{categoryId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Update Category Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
payload = {
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Binoculars',
Description: 'Best Binoculars',
SeoPath: 'binoculars',
SeoMetaDescription: 'Best Binoculars',
SeoTitleTag: 'Best Binoculars',
SeoMetaKeywords: 'Best, Binoculars'
})
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'Name' => 'Binoculars',
'Description' => 'Best Binoculars',
'SeoPath' => 'binoculars',
'SeoMetaDescription' => 'Best Binoculars',
'SeoTitleTag' => 'Best Binoculars',
'SeoMetaKeywords' => 'Best, Binoculars'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
payload := strings.NewReader("{\n \"Name\": \"Binoculars\",\n \"Description\": \"Best Binoculars\",\n \"SeoPath\": \"binoculars\",\n \"SeoMetaDescription\": \"Best Binoculars\",\n \"SeoTitleTag\": \"Best Binoculars\",\n \"SeoMetaKeywords\": \"Best, Binoculars\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"Name\": \"Binoculars\",\n \"Description\": \"Best Binoculars\",\n \"SeoPath\": \"binoculars\",\n \"SeoMetaDescription\": \"Best Binoculars\",\n \"SeoTitleTag\": \"Best Binoculars\",\n \"SeoMetaKeywords\": \"Best, Binoculars\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Name\": \"Binoculars\",\n \"Description\": \"Best Binoculars\",\n \"SeoPath\": \"binoculars\",\n \"SeoMetaDescription\": \"Best Binoculars\",\n \"SeoTitleTag\": \"Best Binoculars\",\n \"SeoMetaKeywords\": \"Best, Binoculars\"\n}"
response = http.request(request)
puts response.read_body{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Headers
Path Parameters
Body
application/json
The category to update.
Response
Was this page helpful?